--require("__skewer_planet_vesta__/lib/lib.lua")
require("__skewer_planet_vesta__.prototypes.planet.planet")
require("__skewer_planet_vesta__.prototypes.planet.planet-vesta-music")
require("__skewer_planet_vesta__.prototypes.decorative.decoratives-vesta")
--Items and Fluids
require("__skewer_planet_vesta__.prototypes.tritium")
require("__skewer_planet_vesta__.prototypes.plasma_pipes")
require("__skewer_planet_vesta__.prototypes.fusion_missile")
--Make menu simulations
require("__skewer_planet_vesta__.prototypes.menu-simulations")

if settings.startup["ske_fusion_thruster_og"].value then
require("__skewer_planet_vesta__.prototypes.fusion_thruster_og")
else
require("__skewer_planet_vesta__.prototypes.fusion_thruster")
end



if settings.startup["ske_vesta_legacy_recipes"].value then
require("__skewer_planet_vesta__.prototypes.buildings")
require("__skewer_planet_vesta__.prototypes.item")
require("__skewer_planet_vesta__.prototypes.technology")
else
require("__skewer_planet_vesta__.prototypes.buildings_overhaul")
require("__skewer_planet_vesta__.prototypes.item_overhaul")
require("__skewer_planet_vesta__.prototypes.technology_overhaul")
end


if settings.startup["ske_realistic_gases"].value then
	if settings.startup["ske_vesta_legacy_recipes"].value then
	require("__skewer_planet_vesta__.prototypes.fluid-gases-realistic")
	else
	require("__skewer_planet_vesta__.prototypes.fluid-gases-realistic-overhaul")
	end
else
	if settings.startup["ske_vesta_legacy_recipes"].value then
	require("__skewer_planet_vesta__.prototypes.fluid-gases")
	else
	require("__skewer_planet_vesta__.prototypes.fluid-gases_overhaul")
	end
end

if settings.startup["ske_realistic_gases"].value then
	if settings.startup["ske_vesta_legacy_recipes"].value then
require("__skewer_planet_vesta__.prototypes.recipes-realistic")
	else
require("__skewer_planet_vesta__.prototypes.recipes-overhaul-realistic")
	end
else
	if settings.startup["ske_vesta_legacy_recipes"].value then
require("__skewer_planet_vesta__.prototypes.recipes")
	else
require("__skewer_planet_vesta__.prototypes.recipes_overhaul")
	end
end

if settings.startup["ske_realistic_gases"].value then
	if settings.startup["ske_vesta_original_generation"].value then
	require("__skewer_planet_vesta__.prototypes.tile.tiles-vesta-realistic")
	else
	require("__skewer_planet_vesta__.prototypes.tile.tiles-vesta-platform-realistic")
	end
else
	if settings.startup["ske_vesta_original_generation"].value then
	require("__skewer_planet_vesta__.prototypes.tile.tiles-vesta")
	else
	require("__skewer_planet_vesta__.prototypes.tile.tiles-vesta-platform")
	end
end